> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oneofnone.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get vault breakdown



## OpenAPI

````yaml get /v1/analytics/vault/breakdown
openapi: 3.1.0
info:
  title: One of None API
  version: 1.0.0
  description: >-
    The One of None API manages product collections, registrations, short URLs,
    team operations, and rewards used by storefront integrations including
    Shopify discounts and redemption flows.
servers:
  - url: https://api.oneofnone.io
security:
  - ApiKeyAuth: []
paths:
  /v1/analytics/vault/breakdown:
    get:
      summary: Get vault breakdown
      parameters:
        - schema:
            type: string
          required: false
          name: team_id
          in: query
        - schema:
            type: string
          required: false
          name: team_slug
          in: query
        - schema:
            anyOf:
              - type: string
              - type: array
                items:
                  type: string
          required: false
          name: team_ids
          in: query
        - schema:
            anyOf:
              - type: string
              - type: array
                items:
                  type: string
          required: false
          name: team_slugs
          in: query
        - schema:
            type: string
          required: false
          name: collection_id
          in: query
        - schema:
            type: string
          required: false
          name: collection_slug
          in: query
        - schema:
            anyOf:
              - type: string
              - type: array
                items:
                  type: string
          required: false
          name: collection_ids
          in: query
        - schema:
            type: string
          required: false
          name: date_from
          in: query
        - schema:
            type: string
          required: false
          name: date_to
          in: query
        - schema:
            type: string
          required: false
          name: country_code
          in: query
        - schema:
            type: string
          required: false
          name: region_code
          in: query
        - schema:
            type: string
            enum:
              - mobile
              - tablet
              - desktop
              - all
          required: false
          name: device
          in: query
        - schema:
            type: string
          required: false
          name: browser
          in: query
        - schema:
            type: string
          required: false
          name: os
          in: query
        - schema:
            type: string
          required: false
          name: token_id
          in: query
        - schema:
            type:
              - integer
              - 'null'
          required: false
          name: limit
          in: query
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VaultBreakdownResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    VaultBreakdownResponse:
      type: object
      properties:
        meta:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
              type:
                type: string
            required:
              - name
              - type
        data:
          type: array
          items:
            type: object
            properties:
              dimension:
                type: string
              dimension_value:
                type:
                  - string
                  - 'null'
              pageviews:
                type: number
              unique_visitors:
                type: number
            required:
              - dimension
              - dimension_value
              - pageviews
              - unique_visitors
        rows:
          type: number
        statistics:
          type: object
          properties:
            elapsed:
              type: number
            rows_read:
              type: number
            bytes_read:
              type: number
          required:
            - elapsed
            - rows_read
            - bytes_read
      required:
        - meta
        - data
        - rows
        - statistics
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````